> For the complete documentation index, see [llms.txt](https://docs.cometh.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cometh.io/integrations/react-hooks/recovery/usesetuprecovery.md).

# useSetUpRecovery

## Description

This hook allows you to set up the recovery module.

## Parameters

```typescript
type SetUpRecoveryModuleParams = {
    passKeyName?: string;
    webAuthnOptions?: webAuthnOptions;
    rpcUrl?: string;
};
```

## Example

```typescript
import { useSetUpRecoveryModule } from "@/hooks/useSetUpRecoveryModule";

export const RecoverySetup = () => {
  const {
    setUpRecoveryModule,
    setUpRecoveryModuleAsync,
    isLoading,
    isError,
    error,
    isSuccess,
    data
  } = useSetUpRecoveryModule();

  const handleSetUp = async () => {
    try {
      const result = await setUpRecoveryModuleAsync({
        passKeyName: 'myPassKey',
        rpcUrl: 'https://my-rpc-url.com',
        // other necessary parameters
      });
      console.log('Recovery module set up successfully:', result);
    } catch (error) {
      console.error('Error setting up recovery module:', error);
    }
  };

  return (
    <div>
      <button onClick={handleSetUp} disabled={isLoading}>
        Set Up Recovery Module
      </button>
      {isLoading && <p>Setting up recovery module...</p>}
      {isError && <p>Error: {error?.message}</p>}
      {isSuccess && <p>Recovery module set up successfully. Hash: {data}</p>}
    </div>
  );
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cometh.io/integrations/react-hooks/recovery/usesetuprecovery.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
